- [HTTP request](https://developers.google.com/workspace/gmail/api/reference/rest/v1/users.threads/get#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/gmail/api/reference/rest/v1/users.threads/get#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/workspace/gmail/api/reference/rest/v1/users.threads/get#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/workspace/gmail/api/reference/rest/v1/users.threads/get#body.request_body)
- [Response body](https://developers.google.com/workspace/gmail/api/reference/rest/v1/users.threads/get#body.response_body)
- [Authorization scopes](https://developers.google.com/workspace/gmail/api/reference/rest/v1/users.threads/get#body.aspect)
- [Format](https://developers.google.com/workspace/gmail/api/reference/rest/v1/users.threads/get#Format)
- [Try it!](https://developers.google.com/workspace/gmail/api/reference/rest/v1/users.threads/get#try-it)

Gets the specified thread. For more information, see [Manage threads](https://developers.google.com/workspace/gmail/api/guides/threads).

### HTTP request

`GET https://gmail.googleapis.com/gmail/v1/users/{userId}/threads/{id}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `userId` | `string` The user's email address. The special value `me` can be used to indicate the authenticated user. |
| `id` | `string` The ID of the thread to retrieve. |

### Query parameters

| Parameters ||
|---|---|
| `format` | ``enum (`https://developers.google.com/workspace/gmail/api/reference/rest/v1/users.threads/get#Format`)`` The format to return the messages in. |
| `metadataHeaders[]` | `string` When given and format is METADATA, only include headers specified. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/workspace/gmail/api/reference/rest/v1/users.threads#Thread`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://mail.google.com/`
- `
  https://www.googleapis.com/auth/gmail.modify`
- `
  https://www.googleapis.com/auth/gmail.readonly`
- `
  https://www.googleapis.com/auth/gmail.metadata`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).

## Format

| Enums ||
|---|---|
| `full` | Returns the full email message data with body content parsed in the `payload` field; the `raw` field is not used. Format cannot be used when accessing the api using the gmail.metadata scope. |
| `metadata` | Returns only email message IDs, labels, and email headers. |
| `minimal` | Returns only email message IDs and labels; does not return the email headers, body, or payload. |